/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {ZoneUpdateEventPublicRequest} from "./zoneUpdateEventPublicRequest";

export class ZoneUpdateEventRequest {
    public event: ZoneUpdateEventPublicRequest;

    public code: string;

    /**
     * Creates a ZoneUpdateEventRequest.
     *
     * @param {ZoneUpdateEventPublicRequest} event
     * @param {string} code
     */
    constructor(event: ZoneUpdateEventPublicRequest, code: string) {
        this.event = event;
        this.code = code;
    }
}
